summaryrefslogtreecommitdiffstats
path: root/recipes/eibd
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/eibd')
-rw-r--r--recipes/eibd/eibd_0.0.4.bb62
-rwxr-xr-xrecipes/eibd/files/eibd59
2 files changed, 121 insertions, 0 deletions
diff --git a/recipes/eibd/eibd_0.0.4.bb b/recipes/eibd/eibd_0.0.4.bb
new file mode 100644
index 0000000000..23e2c0832c
--- /dev/null
+++ b/recipes/eibd/eibd_0.0.4.bb
@@ -0,0 +1,62 @@
+DESCRIPTION = "Eibd provides an interface to the EIB / KNX bus"
+HOMEPAGE = "http://www.auto.tuwien.ac.at/~mkoegler/"
+SECTION = "console/network"
+PRIORITY = "optional"
+LICENSE = "GPLv2"
+DEPENDS = " pthsem libxml2"
+DEPENDS_append_linux-uclibc = " argp-standalone "
+DEPENDS_append_linux-uclibcgnueabi = " argp-standalone "
+
+SRC_URI = "http://www.auto.tuwien.ac.at/~mkoegler/eib/bcusdk_${PV}.tar.gz \
+ file://eibd "
+
+S = "${WORKDIR}/bcusdk-${PV}"
+
+inherit autotools update-rc.d
+
+EXTRA_OECONF = " --with-pth=yes --without-pth-test \
+ --enable-onlyeibd \
+ --enable-pei16 \
+ --enable-ft12 \
+ --enable-tpuart \
+ --enable-pei16s \
+ --enable-tpuarts \
+ --enable-usb \
+ --enable-eibnetip \
+ --enable-eibnetiptunnel \
+ --enable-eibnetipserver \
+ "
+
+do_install_prepend() {
+ install -d ${D}${sysconfdir}/default/
+ install -d ${D}${sysconfdir}/init.d/
+ install -m 0755 ${WORKDIR}/eibd ${D}${sysconfdir}/init.d/eibd
+}
+
+PACKAGES =+ "eibd-server eibd-clients libeibclient-dev"
+
+FILES_eibd-server = "${bindir}/eibnetsearch ${bindir}/findknxusb \
+ ${bindir}/eibd ${bindir}/bcuaddrtab \
+ ${bindir}/eibnetdescribe ${bindir}/bcuread \
+ ${sysconfdir}/init.d/eibd "
+FILES_eibd-clients = "${bindir}/*"
+FILES_libeibclient-dev = "\
+ ${includedir} \
+ ${libdir}/lib*.so \
+ ${libdir}/*.la \
+ ${libdir}/*.a \
+ ${libdir}/*.o \
+ ${libdir}/pkgconfig \
+ /lib/*.a \
+ /lib/*.o \
+ ${datadir}/aclocal"
+
+DESCRIPTION_eibd-clients = "Simple example programs to perform management tasks on a EIB system."
+DESCRIPTION_libeibclient-dev = "A client library written in C to access the EIB bus over eibd."
+DESCRIPTION_eibd-server = "eibd is a daemon which supports connection to an EIB (KNX) network over various \
+interfaces. It provides its services over TCP/IP or Unix domain sockets. \
+It can also act as an EIBnet/IP server."
+
+INITSCRIPT_PACKAGES = "eibd-server"
+INITSCRIPT_NAME = "eibd"
+INITSCRIPT_PARAMS = "defaults 20"
diff --git a/recipes/eibd/files/eibd b/recipes/eibd/files/eibd
new file mode 100755
index 0000000000..953fbb8f80
--- /dev/null
+++ b/recipes/eibd/files/eibd
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+PATH=/sbin:/bin:/usr/bin
+
+DAEMON="eibd"
+
+test -f /usr/bin/${DAEMON} || exit 0
+
+if test -f /etc/default/${DAEMON} ; then
+. /etc/default/${DAEMON}
+else
+:
+fi
+
+if [ "$START_EIBD" != "yes" ]
+then
+ exit 0
+fi
+
+startdaemon(){
+ echo -n "Starting ${DAEMON}: "
+ start-stop-daemon --start -x /usr/bin/${DAEMON} -- ${CMDLINE} -p /var/run/${DAEMON}.pid
+ echo "done"
+}
+
+stopdaemon(){
+ echo -n "Stopping ${DAEMON}: "
+ start-stop-daemon --stop -p /var/run/${DAEMON}.pid
+ echo "done"
+}
+
+
+
+case "$1" in
+ start)
+ startdaemon
+ ;;
+ stop)
+ stopdaemon
+ ;;
+ force-reload)
+ stopdaemon
+ startdaemon
+ ;;
+ restart)
+ stopdaemon
+ startdaemon
+ ;;
+ reload)
+ stopdaemon
+ startdaemon
+ ;;
+ *)
+ echo "Usage: ${DAEMON} { start | stop | restart | reload }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
ies/uml-utilities_20040406.bb?h=timo/recipe-upgrades'>stats
path: root/meta-oe/recipes-extended/uml-utilities/uml-utilities_20040406.bb
blob: 8e00cb3ea478b36a69644a836dc0adc72b686082 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
SECTION = "console/utils"
SUMMARY = "Utilities for User-Mode-Linux"
LICENSE = "GPL-2.0"
DEPENDS = "zlib ncurses readline"
LIC_FILES_CHKSUM = "file://COPYING;md5=0636e73ff0215e8d672dc4c32c317bb3"
SRC_URI = "http://downloads.sourceforge.net/project/user-mode-linux/tools/1/uml_utilities_${PV}.tar.bz2 \
           file://fix-ldflags.patch \
           file://unstrip.patch \
           file://0001-include-required-system-header-files-for-fd_set-and-.patch \
           "
SRC_URI[md5sum] = "2c1ccd9efacbfb39e42d482b89b2550a"
SRC_URI[sha256sum] = "4f179b1db021ef15ac7e9b2eed57c525db127a754c574f591c367460cded9f41"

PR = "r1"

S = "${WORKDIR}/tools"

inherit update-alternatives

do_compile() {
    oe_runmake
}

do_install() {
    oe_runmake install DESTDIR=${D}
}

FILES_${PN} += "${exec_prefix}${nonarch_base_libdir}"
FILES_${PN}-dbg += "${exec_prefix}${nonarch_base_libdir}/uml/.debug"

ALTERNATIVE_${PN} = "tunctl"
ALTERNATIVE_LINK_NAME[tunctl] = "${bindir}/tunctl"